{
    "title": "Questionful",
    "folde": "all",

    "questions": [

      
        
        { 
            "id": "tuto",
            "title": "Tuto, explications sur le questionnaire",
            "para": "normal",
            "explo":"Courte description",
            "short":"comment ça marche",
            "code": [
                {
                    "file": "tuto.txt",
                    "type": "render",
                    "para": "large instructions nohelp locked"
                },

                {
                    "file": "tuto.css",
                    "type": "css",
                    "para": ""
                },
                {
                    "file": "tuto.page",
                    "type": "markup",
                    "para": ""
                }
            ]
        },


        { 
            "id": "cibler_id_classes_multiples",
            "title": "CSS, cibler un élément avec une classe / des classes",
            "para": "normal",
            "explo":"Ciblage simple",
            "short":"simple -- id + class",
            "code": [
                {
                    "file": "cibler_id_classes_multiples.txt",
                    "type": "render",
                    "para": "large instructions nohelp locked"
                },

                {
                    "file": "cibler_id_classes_multiples.css",
                    "type": "css",
                    "para": "large"
                },
                {
                    "file": "cibler_id_classes_multiples.page",
                    "type": "markup",
                    "para": "large locked"
                }
            ]
        },

        {
            "id": "cibler_css_multiples_vs_is",
            "title": "CSS, ciblage multiple, /VS/ condition :is ",
            "short": "été automne",
            "para": "normal",
            "explo":"* joker + :is",
            "code": [
                
                {
                    "file": "cibler_css_multiples_vs_is.txt",
                    "type": "render",
                    "para": "large instructions nohelp locked"
                },

                {
                    "file": "cibler_css_multiples_vs_is.css",
                    "type": "css",
                    "para": ""
                },
                
                {
                    "file": "cibler_css_multiples_vs_is.page",
                    "type": "markup",
                    "para": "locked"
                }
            ]
        },

        {
            "id": "cibler_css_padding",
            "title": "CSS, modifier les marges internes",
            "para": "normal",
            "explo": "margin == marges extérieures ; padding == marges internes",
            "short":"padding",
            "code": [
                
                {
                    "file": "cibler_css_padding.txt",
                    "type": "render",
                    "para": "large instructions nohelp locked"
                },

                {
                    "file": "cibler_css_padding.css",
                    "type": "css",
                    "para": ""
                },

                {
                    "file": "cibler_css_padding.page",
                    "type": "markup",
                    "para": "locked"
                }
            ]
        },

        


        {
            "id": "cibler_css_margin_transition",
            "title": "CSS, margin + transition + :hover + --variable",
            "para": "normal",
            "explo": "transition : propriété_afectée durée élasticité_animation délais",
            "short":"bouge de là",
            "code": [
                
                {
                    "file": "cibler_css_margin_transition.txt",
                    "type": "render",
                    "para": "large instructions"
                },

                {
                    "file": "cibler_css_margin_transition.css",
                    "type": "css",
                    "para": ""
                },

                {
                    "file": "cibler_css_margin_transition.page",
                    "type": "markup",
                    "para": "locked"
                }
            ]
        }
        
        ,





        {
            "id": "cibler_is_not",
            "title": "CSS :is :not :has + attributs",
            "para": "normal",
            "short": "working state",
            "code": [
                {
                    "file": "cibler_is_not.txt",
                    "type": "render",
                    "para": "large instructions nohelp locked"
                },

                {
                    "file": "cibler_is_not.css",
                    "type": "css",
                    "para": "large"
                }, 

                {
                    "file": "cibler_is_not.page",
                    "type": "markup",
                    "para": "large force_sticky"
                }
            ]
        },










        {
            "id": "cibler_adjascent_avance",
            "title": "CSS, cibler des éléments adjascents, internes ou suivants",
            "para": "normal",
            "short":":hover Miaous !",
            "code": [
                
                {
                    "file": "cibler_adjascent_avance.txt",
                    "type": "render",
                    "para": "large instructions nohelp locked"
                },
                {
                    "file": "cibler_adjascent_avance.page",
                    "type": "markup",
                    "para": ""
                },
                {
                    "file": "cibler_adjascent_avance.css",
                    "type": "css",
                    "para": ""
                }
            ]
        },



        {
            "id": "cibler_has_checked",
            "title": "CSS :has :checked :active",
            "para": "normal",
            "short":"fôret champignons",
            "code": [
                {
                    "file": "cibler_has_checked.txt",
                    "type": "render",
                    "para": "large instructions nohelp locked"
                },
                {
                    "file": "cibler_has_checked.page",
                    "type": "markup",
                    "para": ""
                },
                {
                    "file": "cibler_has_checked.css",
                    "type": "css",
                    "para": ""
                }
            ]
        }







    ],

    "submission": {
        "url": "/api/submit",
        "headers": {}
    },
    "getAnswers": {
        "url": "/api/getanswers",
        "headers": {}
    },
    "savefile": {
        "url": "/api/savefile",
        "headers": {}
    },
    "getResults": {
        "url": "/api/getresults",
        "headers": {}
    },
    "list_codes": {
        "url": "/api/list-codes",
        "headers": {}
    },
    "styles": {
        "backgroundColor": "#FFF",
        "primaryColor": "#000",
        "secondaryColor": "darkcyan",
        "secondaryAltColor": "cyan",
        "fontFamily": "'Open Sans', Helvetica, Arial, sans-serif"
    }
}
